Bug 1560823 - Review Request: erlang-eimp - Erlang Image Manipulation Process
Summary: Review Request: erlang-eimp - Erlang Image Manipulation Process
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-27 03:18 UTC by Randy Barlow
Modified: 2018-04-30 16:35 UTC (History)
2 users (show)

Fixed In Version: erlang-eimp-1.0.2-1.fc29 erlang-eimp-1.0.2-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-30 16:35:27 UTC
Type: ---
lemenkov: fedora-review+


Attachments (Terms of Use)

Description Randy Barlow 2018-03-27 03:18:59 UTC
Spec URL: https://bowlofeggs.fedorapeople.org/erlang-eimp.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/erlang-eimp-1.0.2-1.fc28.src.rpm
Description: eimp is an Erlang/Elixir application for manipulating graphic images
using external C libraries. It supports WebP, JPEG, PNG and GIF.
Fedora Account System Username: bowlofeggs

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=25994133

Comment 1 Peter Lemenkov 2018-03-27 09:26:05 UTC
I'll review it.

Comment 2 Peter Lemenkov 2018-03-27 13:48:07 UTC
[+] rpmlint is almost silent:

Auriga ~: rpmlint erlang-eimp-1.0.2-1.fc29.*
erlang-eimp.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/eimp-1.0.2/priv/bin/eimp
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
Auriga ~:

Please, remove "%global debug_package %{nil}" line. This package must pass through debuginfo-stripping procedure.

[+] The package is named according to the Package Naming Guidelines.
[+] The spec file name matches the base package %{name}, in the format %{name}.spec.
[+] The package meets the Packaging Guidelines.
[+] The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
[+] The License field in the package spec file matches the actual license (Apache 2.0).
[+] The file, containing the text of the license(s) for the package, is included in %doc and marked as %license.
[+] The spec file is written in American English.
[+] The spec file for the package is legible.
[+] The sources used to build the package matches the upstream source, as provided in the spec URL.

Auriga ~/rpmbuild/SOURCES: sha512sum eimp-1.0.2.tar.gz*
4599497e589f1856c7415cf070bb6a821cac1fa034046bbbbdf25ce51512726131d0fbc553d921d8206e8230afa7a5d483fa2bc5e7caa3b2d360f3d943253a99  eimp-1.0.2.tar.gz
4599497e589f1856c7415cf070bb6a821cac1fa034046bbbbdf25ce51512726131d0fbc553d921d8206e8230afa7a5d483fa2bc5e7caa3b2d360f3d943253a99  eimp-1.0.2.tar.gz.1
Auriga ~/rpmbuild/SOURCES:

[+] The package successfully compiles and builds into binary rpms. See Koji link above.
[+] All build dependencies are listed in BuildRequires.
[+] The spec file handles locales properly (using the %find_lang macro).
[0] The package does not contain any shared library files.
[+] Packages does not bundle copies of system libraries.
[+] The package isn't designed to be relocatable.
[+] The package owns all directories that it creates.
[+] The package does not list a file more than once in the spec file's %files listings.
[+] Permissions on files are set properly.
[+] The package consistently uses macros.
[+] The package contains code, or permissible content.
[0] No large documentation files.
[+] Anything, the package includes as %doc, does not affect the runtime of the application.
[0] No static libraries.
[0] No -devel sub-package.
[+] The package does not contain any .la libtool archives.
[0] Not a GUI application.
[+] The package does not own files or directories already owned by other packages.
[+] All filenames in rpm packages are valid UTF-8.


Please address the debuginfo issue mentioned above. Apart from that I don't see any issues, so this package is

APPROVED.

Comment 3 Gwyn Ciesla 2018-03-27 14:53:55 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/erlang-eimp

Comment 4 Randy Barlow 2018-03-27 16:41:26 UTC
Peter, I have made the requested change. Thanks!

Comment 5 Fedora Update System 2018-03-27 22:17:24 UTC
erlang-eimp-1.0.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5819dac141

Comment 7 Fedora Update System 2018-03-29 00:42:36 UTC
erlang-eimp-1.0.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5819dac141

Comment 8 Fedora Update System 2018-03-29 20:23:41 UTC
erlang-eimp-1.0.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d233efd09d

Comment 9 Fedora Update System 2018-04-01 00:45:03 UTC
erlang-eimp-1.0.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-04-02 17:21:10 UTC
erlang-xmpp-1.1.20-1.fc27 erlang-stun-1.0.21-1.fc27 erlang-stringprep-1.0.11-1.fc27 erlang-p1_utils-1.0.11-1.fc27 erlang-p1_pgsql-1.1.5-1.fc27 erlang-p1_mysql-1.0.5-1.fc27 erlang-luerl-0.3-1.fc27 erlang-iconv-1.0.7-1.fc27 erlang-fast_yaml-1.0.13-1.fc27 erlang-fast_xml-1.1.29-1.fc27 erlang-fast_tls-1.0.21-1.fc27 erlang-ezlib-1.0.4-1.fc27 erlang-esip-1.0.22-1.fc27 erlang-epam-1.0.4-1.fc27 erlang-eimp-1.0.3-1.fc27 erlang-cache_tab-1.0.13-1.fc27 ejabberd-18.03-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-62082bc390

Comment 11 Fedora Update System 2018-04-03 15:51:56 UTC
ejabberd-18.03-1.fc27, erlang-cache_tab-1.0.13-1.fc27, erlang-eimp-1.0.3-1.fc27, erlang-epam-1.0.4-1.fc27, erlang-esip-1.0.22-1.fc27, erlang-ezlib-1.0.4-1.fc27, erlang-fast_tls-1.0.21-1.fc27, erlang-fast_xml-1.1.29-1.fc27, erlang-fast_yaml-1.0.13-1.fc27, erlang-iconv-1.0.7-1.fc27, erlang-luerl-0.3-1.fc27, erlang-p1_mysql-1.0.5-1.fc27, erlang-p1_pgsql-1.1.5-1.fc27, erlang-p1_utils-1.0.11-1.fc27, erlang-stringprep-1.0.11-1.fc27, erlang-stun-1.0.21-1.fc27, erlang-xmpp-1.1.20-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-62082bc390

Comment 12 Fedora Update System 2018-04-30 16:35:27 UTC
ejabberd-18.03-1.fc27, erlang-cache_tab-1.0.13-1.fc27, erlang-eimp-1.0.3-1.fc27, erlang-epam-1.0.4-1.fc27, erlang-esip-1.0.22-1.fc27, erlang-ezlib-1.0.4-1.fc27, erlang-fast_tls-1.0.21-1.fc27, erlang-fast_xml-1.1.29-1.fc27, erlang-fast_yaml-1.0.13-1.fc27, erlang-iconv-1.0.7-1.fc27, erlang-luerl-0.3-1.fc27, erlang-p1_mysql-1.0.5-1.fc27, erlang-p1_pgsql-1.1.5-1.fc27, erlang-p1_utils-1.0.11-1.fc27, erlang-stringprep-1.0.11-1.fc27, erlang-stun-1.0.21-1.fc27, erlang-xmpp-1.1.20-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.